# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::FrontFace Class Reference

Wraps the OpenGL function glFrontFace(), see also http://www.opengl.org/sdk/docs/man/xhtml/glFrontFace.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::FrontFace:

List of all members.

## Public Member Functions

| FrontFace (EFrontFace frontface=FF_CCW)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (EFrontFace frontface)
EFrontFace | frontFace () const

## Protected Attributes

EFrontFace | mFrontFace

## Detailed Description

Wraps the OpenGL function glFrontFace(), see also http://www.opengl.org/sdk/docs/man/xhtml/glFrontFace.xml for more information.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::FrontFace::FrontFace | ( | EFrontFace | frontface = `FF_CCW` | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::FrontFace::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::FrontFace::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void FrontFace::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::FrontFace::set | ( | EFrontFace | frontface | ) | `[inline]`

EFrontFace vl::FrontFace::frontFace | ( |  | ) | const`[inline]`

## Member Data Documentation

EFrontFace vl::FrontFace::mFrontFace`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.